Bug 217720 - [WebAuthn] Remove the "alg" field in the attestation statement
Summary: [WebAuthn] Remove the "alg" field in the attestation statement
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Jiewen Tan
URL:
Keywords: InRadar
Depends on:
Blocks: 181943
  Show dependency treegraph
 
Reported: 2020-10-14 11:34 PDT by Jiewen Tan
Modified: 2020-10-16 12:20 PDT (History)
4 users (show)

See Also:


Attachments
Patch (3.72 KB, patch)
2020-10-15 13:41 PDT, Jiewen Tan
bfulgham: review+
Details | Formatted Diff | Diff
Patch for landing (3.68 KB, patch)
2020-10-16 11:31 PDT, Jiewen Tan
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jiewen Tan 2020-10-14 11:34:11 PDT
Remove the "alg" field in the attestation statement.
Comment 1 Radar WebKit Bug Importer 2020-10-15 13:30:51 PDT
<rdar://problem/70349734>
Comment 2 Jiewen Tan 2020-10-15 13:41:10 PDT
Created attachment 411480 [details]
Patch
Comment 3 Brent Fulgham 2020-10-16 09:51:59 PDT
Comment on attachment 411480 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=411480&action=review

r=me

> Source/WebKit/ChangeLog:13
> +        Therefore, remove it to resolve confusions.

This should be rephrased: "... to resolve confusion."
Comment 4 Jiewen Tan 2020-10-16 11:27:53 PDT
Comment on attachment 411480 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=411480&action=review

Thanks Brent for r+ this patch.

>> Source/WebKit/ChangeLog:13
>> +        Therefore, remove it to resolve confusions.
> 
> This should be rephrased: "... to resolve confusion."

Fixed.
Comment 5 Jiewen Tan 2020-10-16 11:31:20 PDT
Created attachment 411599 [details]
Patch for landing
Comment 6 EWS 2020-10-16 12:20:46 PDT
Committed r268602: <https://trac.webkit.org/changeset/268602>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 411599 [details].